using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.HomePanel.PDFTools
{
    /// <summary>
    /// PDFToolExpendItem.xaml 的交互逻辑
    /// </summary>

    public partial class PDFToolExpendItem : UserControl
    {
        public PDFToolExpendItem()
        {
            InitializeComponent();
            this.Loaded += usercontrol_Loaded;
        }

        private void usercontrol_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void InitContent()
        {
           
        }

        public string IconPath
        {
            get
            {
                return (string)GetValue(IconPathProperty);
            }
            set
            {
                SetValue(IconPathProperty, value);
            }
        }

        public static readonly DependencyProperty IconPathProperty = DependencyProperty.Register("IconPath", typeof(string), typeof(PDFToolExpendItem), new PropertyMetadata(string.Empty));

        public string ToolTitile
        {
            get
            {
                return (string)GetValue(ToolTitileProperty);
            }
            set
            {
                SetValue(ToolTitileProperty, value);
            }
        }
        public static readonly DependencyProperty ToolTitileProperty = DependencyProperty.Register("ToolTitile", typeof(string), typeof(PDFToolExpendItem), new PropertyMetadata(string.Empty));

        public string ToolInfo
        {
            get
            {
                return (string)GetValue(ToolInfoProperty);
            }
            set
            {
                SetValue(ToolInfoProperty, value);
            }
        }
        public static readonly DependencyProperty ToolInfoProperty = DependencyProperty.Register("ToolInfo", typeof(string), typeof(PDFToolExpendItem), new PropertyMetadata(string.Empty));

    }
}
